Data Classification & Profiling
Update analysis options
Reset classification and profiling results
PATCH
/
v3
/
pipeline
/
classifier
/
analysis
/
{analysis_id}
Update analysis options
curl --request PATCH \
--url https://api.mezmo.com/v3/pipeline/classifier/analysis/{analysis_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.mezmo.com/v3/pipeline/classifier/analysis/{analysis_id}"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.mezmo.com/v3/pipeline/classifier/analysis/{analysis_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Path Parameters
The id of the classifier analysis to update
Query Parameters
Reset the current event count so that classification can begin when 'status' is set to "in_progress".
Reset the profiling data associated with this analysis.
Create a new classifier analysis record to replace the current record. Must be used in conjunction with a "complete" status
Body
application/json
The new status of the classifier analysis
Available options:
in_progress, complete Response
200
Default Response
Was this page helpful?
Update analysis options

